import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class AppTheme {
  static TextStyle headline1 = TextStyle(
    fontSize: 32.sp,
    fontWeight: FontWeight.w500,
    letterSpacing: 1,
    color: Colors.black,
  );

  static TextStyle titleLarge = TextStyle(
    fontSize: 17.sp,
    fontWeight: FontWeight.w500,
    color: Colors.black,
  );
  static TextStyle titleMedium = TextStyle(
    fontSize: 16.sp,
    fontWeight: FontWeight.w400,
    color: Colors.grey.shade600,
  );
  static TextStyle titleSmall = TextStyle(
    fontSize: 12.sp,
    fontWeight: FontWeight.w500,
    color: Colors.black,
  );

  static TextStyle labelLarge = TextStyle(
    fontSize: 16.sp,
    fontWeight: FontWeight.w500,
    color: Colors.black,
  );
  static TextStyle labelMedium = TextStyle(
    fontSize: 14.sp,
    fontWeight: FontWeight.w500,
    color: Colors.black,
  );
  static TextStyle labelSmall = TextStyle(
    fontSize: 12.sp,
    fontWeight: FontWeight.w400,
    color: Colors.grey,
  );

  static TextStyle hintStyle = TextStyle(
    fontSize: 14.sp,
    fontWeight: FontWeight.w400,
    color: Colors.grey,
  );
}
